Bug 108507 - [13 regression] new test case gcc.dg/analyzer/SARD-tc841-basic-00182-min.c in r13-5244-gc6a011119bfa03 fails
Summary: [13 regression] new test case gcc.dg/analyzer/SARD-tc841-basic-00182-min.c in...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: analyzer (show other bugs)
Version: 13.0
: P3 normal
Target Milestone: 13.0
Assignee: David Malcolm
URL:
Keywords: testsuite-fail
Depends on:
Blocks: Wstringop-overflow
  Show dependency treegraph
 
Reported: 2023-01-23 22:20 UTC by seurer
Modified: 2023-01-26 14:23 UTC (History)
1 user (show)

See Also:
Host: powerpc64le-linux-gnu
Target: powerpc64le-linux-gnu
Build: powerpc64le-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2023-01-25 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description seurer 2023-01-23 22:20:04 UTC
g:c6a011119bfa038ccbfc9f123ede14a3d6237fab, r13-5244-gc6a011119bfa03

This test case is failing on some of power powerpc64 servers.  This run was on a power 9:

make  -k check-gcc RUNTESTFLAGS="analyzer.exp=gcc.dg/analyzer/SARD-tc841-basic-00182-min.c"
FAIL: gcc.dg/analyzer/SARD-tc841-basic-00182-min.c (test for excess errors)
# of unexpected failures	1

Excess errors:
/home/seurer/gcc/git/gcc-test/gcc/testsuite/gcc.dg/analyzer/SARD-tc841-basic-00182-min.c:67:3: warning: 'fgets' writing 11 bytes into a region of size 10 overflows the destination [-Wstringop-overflow=]
/home/seurer/gcc/git/gcc-test/gcc/testsuite/gcc.dg/analyzer/SARD-tc841-basic-00182-min.c:67:3: warning: 'fgets' writing 11 bytes into a region of size 10 overflows the destination [-Wstringop-overflow=]

commit c6a011119bfa038ccbfc9f123ede14a3d6237fab (HEAD, refs/bisect/bad)
Author: David Malcolm <dmalcolm@redhat.com>
Date:   Wed Jan 18 11:41:47 2023 -0500

    analyzer: add SARD testsuite 81
Comment 1 David Malcolm 2023-01-25 17:31:05 UTC
Also seen on aarch64-unknown-linux-gnu:
  https://godbolt.org/z/Yzbxvf8j4

I'll add -Wno-stringop-overflow to the failing test (the point of the test is to see if -fanalyzer can detect the problem).
Comment 2 GCC Commits 2023-01-26 14:13:51 UTC
The master branch has been updated by David Malcolm <dmalcolm@gcc.gnu.org>:

https://gcc.gnu.org/g:f1eab269288ffa80ba924ddb4c4b36f8f781d613

commit r13-5389-gf1eab269288ffa80ba924ddb4c4b36f8f781d613
Author: David Malcolm <dmalcolm@redhat.com>
Date:   Thu Jan 26 09:12:21 2023 -0500

    analyzer: fix SARD-tc841-basic-00182-min.c test case [PR108507]
    
    gcc/testsuite/ChangeLog:
            PR analyzer/108507
            * gcc.dg/analyzer/SARD-tc841-basic-00182-min.c: Add
            -Wno-stringop-overflow.
    
    Signed-off-by: David Malcolm <dmalcolm@redhat.com>
Comment 3 David Malcolm 2023-01-26 14:23:12 UTC
Sorry about the noise.  Should be fixed by the above commit; please reopen this bug if I messed up.